Name:           flac123
Version:        0.0.11 
Release:        1
Summary:        Command-line program for playing FLAC audio files

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://flac-tools.sourceforge.net/
Source0:        http://dl.sf.net/sourceforge/flac-tools/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  libao-devel, flac-devel, libogg-devel, popt-devel
Requires:       libao, flac, libogg, popt

%description
flac123 is a command-line program for playing FLAC audio files.

FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC
is similar to Ogg Vorbis, but lossless.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix}
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS README COPYING NEWS
%{_bindir}/*
/usr/bin/*


%changelog
* Wed Dec 02 2009 Michael Perzl <michael@perzl.org> - 0.0.11-1
- first version for AIX V5.1 and higher
